package com.ether;

import com.ether.annotation.ControllerMethod;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import java.util.HashMap;
import java.util.Map;

/**
 * @author vmipsl
 * @date 17 feb 2011
 */
public class Controller
        extends ControllerEther
{
    /** *********************************************************** **/
    /** *********************** VIEWS ***************************** **/
    /** *********************************************************** **/
    @ControllerMethod(view = VIEW_INIT)
    public Map<String, Object> home()
            throws WebException
    {
        return new HashMap<String, Object>();
    }

    @ControllerMethod(view = VIEW_ACTIVITIES)
    public Map<String, Object> viewSlideActivities()
            throws WebException
    {
        return new HashMap<String, Object>();
    }

    @ControllerMethod(view = VIEW_DATA)
    public Map<String, Object> viewSlideData()
            throws WebException
    {
        return new HashMap<String, Object>();
    }

    @ControllerMethod(view = VIEW_DATABASES)
    public Map<String, Object> viewSlideDatabases()
            throws WebException
    {
        return new HashMap<String, Object>();
    }

    @ControllerMethod(view = VIEW_SERVICES)
    public Map<String, Object> viewSlideServices()
            throws WebException
    {
        return new HashMap<String, Object>();
    }

    private static final Log LOGGER = LogFactory.getLog( Controller.class );

    private static final String VIEW_INIT = "init";
    private static final String VIEW_ACTIVITIES = "project/slideActivities";
    private static final String VIEW_DATA = "project/slideData";
    private static final String VIEW_DATABASES = "project/slideDataBases";
    private static final String VIEW_SERVICES = "project/slideServices";
}